---
title: "Retrieve Balances of Wallet Accounts"
source_url: https://docs.rapyd.net/en/retrieve-balances-of-wallet-accounts.html
lang: en
---

# Retrieve Balances of Wallet Accounts

Retrieve the balances of currency accounts in a Rapyd Wallet.

See [Wallet Balance Types](https://docs.rapyd.net/en/wallet-balance-types.md "Wallet Balance Types").

> **Note:**
>
> This endpoint replaces the deprecated endpoint - `GET /v1/user/:wallet/accounts`
>
> Rapyd no longer supports the deprecated endpoint.

### Parameters

### Request Path Parameters

- - ewallet
  - ID of the Rapyd Wallet. String starting with **ewallet_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - alias
  - Alternate description of the currency of the account.
- - balance
  - Amount in the available balance.
- - currency
  - Currency of the account. Three-letter ISO 4217 code.
- - id
  - The ID of the account within the wallet. UUID.
- - limit
  - Reserved.
- - limits
  - List of balance limits for the account.

    - - amount
      - Amount of the limit.
    - - currency
      - Currency of the account.
    - - type
      - Type of limit. One of the following:

        - **max_balance_limit** - The maximum balance that this account can hold.
        - **min_balance_threshold** - The amount that triggers an email notification to increase the amount in the reserve balance.
    - - updated_at
      - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time").
- - on_hold_balance
  - Amount in the on-hold balance.
- - received_balance
  - Amount in the received balance.
- - reserve_balance
  - Amount in the reserve balance.

- /v1/ewallets/:ewallet/accounts

- Retrieve Balances of Wallet Accounts
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_b9cbf3f4691aab019efacc3e376548df/accounts' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "885d9f7f-4e2a-4e7a-85b2-e0cde8fc07a6"
      },
      "data": [
          {
              "id": "644410b8-e721-43b2-8847-4764cc0e4a00",
              "currency": "EUR",
              "alias": "EUR",
              "balance": 4900,
              "received_balance": 0,
              "on_hold_balance": 0,
              "reserve_balance": 0,
              "limits": null,
              "limit": null
          }
      ]
  }
  ```
